Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RelationServiceNotRegisteredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.relation.RelationException
                      javax.management.relation.RelationServiceNotRegisteredException

All Implemented Interfaces:
  Serializable

    public class RelationServiceNotRegisteredException

extends RelationException

This exception is raised when an access is done to the Relation Service and that one is not registered.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`RelationServiceNotRegisteredException()` Default constructor, no message put in exception.
`RelationServiceNotRegisteredException(String message)` Constructor with given message put in exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException()

  Default constructor, no message put in exception.

### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException(String message)

  Constructor with given message put in exception.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.